<!DOCTYPE html PUBLIC "- //W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>免费注册 {#$getconfig.webtitle#} - Powered by GV32.COM</title>
<meta name="keywords" content="{#$getconfig.webkeyword#}" />
<meta name="description" content="{#$getconfig.webdescription#}" />

<link rel="stylesheet" type="text/css" href="{#$webroot_url#}/templates/{#$tpl_path#}/css/list.css" />
<script language="javascript" src="{#$webroot_url#}/js/jquery-1.7.2.js" ></script>
<script language="javascript" src="{#$webroot_url#}/js/common.js" ></script>
<script language="javascript">
	function submitFun()
	{
		var iduser_name 		= document.getElementById('user_name');
		var iduser_email 		= document.getElementById('user_email');
		var iduser_pwd 			= document.getElementById('user_pwd');
		var idreuser_pwd 		= document.getElementById('reuser_pwd');
		var iduser_code 		= document.getElementById('user_code');
		
		var idsuggestionInfo 	= document.getElementById('suggestionInfo');
		
		patn = /^([a-zA-Z0-9_.- ])+@([a-zA-Z0-9_- ])+(\.[a-zA-Z0-9_- ])+/;

		var patadmin = new RegExp('admin');
		var patroot  = new RegExp('root');
		var patphp   = new RegExp('gv32');
		var patser   = new RegExp('service');
		
		if(iduser_name.value=='')
		{
			alert(' 提 示：会员帐号不能为空！请输入！');
			iduser_name.focus();
			return false;
		}else if((iduser_name.value).length < 3)
		{
			alert(' 提 示：会员帐号不能小与3个字符！请重新输入！');
			iduser_name.focus();
			return false;
		}else if(patadmin.test(iduser_name.value))
		{
			alert(' 提 示：会员帐号己经被注册！请重新其他帐号输入！');
			iduser_name.focus();
			return false;
		}else if(patroot.test(iduser_name.value))
		{
			alert(' 提 示：会员帐号己经被注册！请重新其他帐号输入！');
			iduser_name.focus();
			return false;
		}else if(patphp.test(iduser_name.value))
		{
			alert(' 提 示：会员帐号己经被注册！请重新其他帐号输入！');
			iduser_name.focus();
			return false;
		}else if(iduser_email.value=='')
		{
			alert(' 提 示：E-mail不能为空！请输入！');
			iduser_email.focus();
			return false;
		}else if(!patn.test(iduser_email.value))
		{
			alert ("提示：\n\n电子邮件格式不正确，请输入正确的电子邮件地址！！");
			iduser_email.focus (); 
			return false; 
		}else if(iduser_pwd.value=='')
		{
			alert(' 提 示：密码不能为空！请输入！');
			iduser_pwd.focus();
			return false;
		}else if(idreuser_pwd.value=='')
		{
			alert(' 提 示：确认密码不能为空！请输入！');
			idreuser_pwd.focus();
			return false;
		}else if(idreuser_pwd.value!=iduser_pwd.value)
		{
			alert(' 提 示：确认密码与密码不一致！请重新输入！');
			idreuser_pwd.focus();
			return false;
		}
		



	 {#foreach item=item key=key from=$needReg#}
	  {#if $item.0 eq 1#}
	  {#if $item.1 eq 1#}
	  var id{#$key#} 		= document.getElementById('{#$key#}');
	   if(id{#$key#}.value=='')
		{
			alert(' 提 示：{#$regLA[$key]#}不能为空！请输入！');
			id{#$key#}.focus();
			return false;
		}
	  {#/if#}
	  {#/if#}
	  {#/foreach#}  

		if(iduser_code.value=='')
		{
			alert(' 提 示：验证码不能为空！请输入！');
			iduser_code.focus();
			return false;
		}



	}
</script>
</head>
<body>
{#include file="$tpl_path/cover/header_tpl.html"#}
<div id="container">
<div id="bodydiv">
{#include file="$tpl_path/cover/leftmenu_tpl.html"#}
	<div id="rightmain">
	<table width="100%" cellpadding="0" cellspacing="0" >
	<tr bgcolor="#CCCCCC" height="23" ><td><div style="width:200px; float:left;"><img src="{#$webroot_url#}/images/48/h.gif" width="18" border="0" /> > &nbsp;免费注册</div> </td></tr>
	<tr align="center" >
	<td ><form action="{#$webroot_url#}/index.php/user/reginfo" method="post" onsubmit="return submitFun(this)">
<table width="660" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td colspan="2" align="center"><span style="font-weight:bolder; text-align:center;" >免费注册</span></td>
  </tr>
  <tr>
    <td align="right" height="25">会员帐号：</td><td align="left"><input name="user_name" id="user_name" value=""  style="width:230px;"></td>
  </tr>
  <tr>
    <td align="right"  height="25">电子邮箱：</td>
    <td align="left"><input name="user_email" id="user_email" value=""  style="width:230px;"></td>

  </tr>
  <tr>
    <td align="right"  height="25">登录密码：</td><td align="left"><input name="user_pwd" id="user_pwd" value=""  style="width:230px;"></td>
  </tr>
  
  <tr>
    <td align="right"  height="25">确认密码：</td>
    <td align="left"><input name="reuser_pwd" id="reuser_pwd" value=""  style="width:230px;"></td>
  </tr>
  
 {#foreach item=item key=key from=$needReg#}
  {#if $item.0 eq 1#}
  <tr>
    <td align="right"  height="25">{#$regLA[$key]#}：</td>
    <td align="left"><input name="{#$key#}" id="{#$key#}" value=""  style="width:230px;"></td>
  </tr>
  {#/if#}
  {#/foreach#}  
  

  <tr>
    <td align="right"  height="25">验证码：</td>
    <td align="left"><table height="23"><tr><td ><input name="user_code" id="user_code" value="" type="text" style="width:100px;" ></td><td><img src="{#$webroot_url#}/application/imgCode.php" width="65" height="22" align="bottom" onclick="changeImg()" id="idimgCode" style="cursor:pointer;" /></td></tr></table></td>
  </tr>

  <tr>
    <td colspan="2" align="center"  height="25"><input type="submit" name="submit" id="submit" value="同意协议并注册"></td>
  </tr>
  
  <tr>
    <td colspan="2" width="100%" align="center"><a href="{#$webroot_url#}/?load=agreement" target="_blank">《服务协议》</a></td>
  </tr>
  
  <tr>
    <td colspan="2" width="100%">&nbsp;</td>
  </tr>
  
  <tr>
    <td colspan="2" width="100%"><table width="100%" align="left"><tr><td><span style="font-weight:bolder">分享到：</span></td><td><!- - Baidu Button BEGIN GV32.COM ADD  - - >
    <div id="bdshare" class="bdshare_t bds_tools get-codes-bdshare">
        <a class="bds_qzone">QQ空间</a>
        <a class="bds_tsina">新浪微博</a>
        <a class="bds_tqq">腾讯微博</a>
        <a class="bds_renren">人人网</a>
        <span class="bds_more">更多</span>    </div>
<script type="text/javascript" id="bdshare_js" data="type=tools&amp;mini=1" ></script>
<script type="text/javascript" id="bdshell_js"></script>
<script type="text/javascript">
	document.getElementById("bdshell_js").src = "http://bdimg.share.baidu.com/static/js/shell_v2.js?cdnversion=" + new Date().getHours();
</script>
<!- - Baidu Button END GV32.COM ADD - - ></td></tr></table></td>
  </tr>
</table>
</form>
	</td>
	</tr>
	</table>
	
	</div>

	
	</div>
</div>
{#include file="$tpl_path/cover/footer_tpl.html"#}
</body>
</html>